Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoAudioRenderAction Class Reference
[Actions]

The SoAudioRenderAction class renders the aural parts of the scene graph. More...

`#include <Inventor/actions/SoAudioRenderAction.h>`

Inheritance diagram for SoAudioRenderAction:

List of all members.

## Static Public Methods
void | initClass ()
## Protected Methods
virtual void | beginTraversal (SoNode *node)

## Detailed Description

The SoAudioRenderAction class renders the aural parts of the scene graph.

Applying this method at a root node for a scene graph, path or pathlist will render all sound-related nodes contained within that instance to the current SoAudioDevice.

## Member Function Documentation

void SoAudioRenderAction::initClass | ( | void |  | ) | `[static]`

| Initializes the run-time type system for this class, and sets up the enabled elements and action method list. Reimplemented from SoAction.

void SoAudioRenderAction::beginTraversal | ( | SoNode * | node | ) | `[protected, virtual]`

| This virtual method is called from SoAction::apply(), and is the entry point for the actual scenegraph traversal. It can be overridden to initialize the action at traversal start, for specific initializations in the action subclasses inheriting SoAction. Default method just calls traverse(), which any overridden implementation of the method must do too (or call SoAction::beginTraversal()) to trigger the scenegraph traversal. Reimplemented from SoAction.

The documentation for this class was generated from the following files:

- SoAudioRenderAction.h
- SoAudioRenderAction.cpp